from copy import copy

value = 0

def score(val):
	if (val == "A" or val == "J" or val == "Q" or val == "K"):
		return 10
	else:
		return int(val)
		
def lowestScore(cardVals):
	return min(map(score, cardVals))
	
def twoSame(cardRank):
	numSame = 0
	for i in range(len(cardRank)):
		for j in range(len(cardRank)):
			if (cardRank[i] == cardRank[j]):
				return True

def numJs(cardVals):
	nJ = 0
	for i in range(len(cardVals)):
		if (cardVals[i] == "J"):
			nJ+=1
	return nJ
			
def numDiamonds(cardVals):
	nJ = 0
	for i in range(len(cardVals)):
		if (cardVals[i] == "D"):
			nJ+=1
	return nJ
	
def numSevens(cardVals):
	nJ = 0
	for i in range(len(cardVals)):
		if (cardVals[i] == "7"):
			nJ+=1
	return nJ
	
def numTwos(cardVals):
	nJ = 0
	for i in range(len(cardVals)):
		if (cardVals[i] == "2"):
			nJ+=1
	return nJ
	
def numAs(cardVals):
	nJ = 0
	for i in range(len(cardVals)):
		if (cardVals[i] == "A"):
			nJ+=1
	return nJ
			
def haveAll(cardRank):
	if (("D" in cardRank) and ("S" in cardRank) and ("C" in cardRank) and ("H" in cardRank)):
		return True
	return False
	
def numRed(cardRank):
	num = 0
	for i in range(5):
		if ((cardRank[i] == "H") or (cardRank[i] == "D")):
			num+=1
	return num
	
def numBlack(cardRank):
	num = 0
	for i in range(5):
		if ((cardRank[i] == "S") or (cardRank[i] == "C")):
			num+=1
	return num
	
def sumOfPositiveDivisors(value):
	s = 0
	for i in range(1,value+1):
		if (value%i == 0):
			s+= i
	return s
	
def score2(val):
	if (val == "A"): 
		return 14
	if (val == "J"): 
		return 11
	if (val == "Q"): 
		return 12
	if (val == "K"):
		return 13
	else:
		return int(val)
	
def straight(cardsVal):
	myCardsVals = sorted(map(score2, cardsVal))
	for i in range(4):
		if ((myCardsVals[i+1] - myCardsVals[i]) != 1):
			return False
			
	return True
	

def numBits(val):
	val = abs(val)
	nb = 0
	
	while val != 0:
		b = val%2
		nb += b
		val -= b
		val /= 2
	return int(nb)


numModif = 0

	

def applyrules(cardsVal, cardsRank):
	global value
	global numModif
	numcard = len(cardsVal)
	
	rule = 0
	
	#first rule
	value +=1
	value += numJs(cardsVal) * score(cardsVal[0])
	numModif +=1
	
	
	#second rule
	value*=2
	numModif +=1
		
	#third rule
	if (haveAll(cardsRank)): 
		value*=2
		numModif +=1
			
	#fourth rule
	value += abs(numRed(cardsRank) - numBlack(cardsRank))
	numModif +=1
	rule = 4
		
	#fifth rule 
	if (value%2 == 0):
		value+= sumOfPositiveDivisors(value)
		numModif +=1
		rule = 5
		
	#sixth rule
	if (numSevens(cardsVal) == 4): #mozna chyba
		value-= 121
		numModif +=1
		rule = 6
		
	#seventh rule 
	if (value>=0):
		value += lowestScore(cardsVal)
		numModif +=1
		rule = 7
		

	
	#eighth
	if (value < 0):
		value*= -1
		numModif +=1
		rule = 8
	
	
	#ninth
	if (numDiamonds(cardsRank) >=3):
		value += 1
		numModif +=1
		cop = copy(cardsVal)
		for i in range(numcard):
			
			if (cop[i] == 6):
				cardsVal[i] = 9
			if (cop[i] == 9):
				cardsVal[i] = 6
			if (cop[i] == 5):
				cardsVal[i] = 2
			if (cop[i] == 2):
				cardsVal[i] = 5
		rule = 9
	

	
	#tenth
	if (straight(cardsVal)): 
		value += 5*numAs(cardsVal)
		numModif +=1
		if (numAs(cardsVal) != 0):
			rule = 10
		
		
	#eleventh
	if (numModif > 8):
		value += numbits(value)
		if (value != 0):
			rule = 11
		
	#twelve
	
	if (numTwos(cardsVal) >= 1):
		if (rule == 4):
			value += abs(numRed(cardsRank) - numBlack(cardsRank))
			numModif +=1
		elif (rule == 5):
			#fifth rule 
			if (value%2 == 0):
				value+= sumOfPositiveDivisors(value)
				numModif +=1
		elif (rule == 6):
			if (numSevens(cardsVal) == 4):
				value-= 121
			numModif +=1
		elif (rule == 7):
			#seventh rule 
			if (value>=0):
				value += lowestScore(cardsVal)
				numModif +=1
		elif (rule == 8):
			if (value < 0):
				value*= (-1)
			numModif +=1
			
		elif (rule == 9):
			if (numDiamonds(cardsRank) >=3):
				value+= 1
				numModif +=1
				cop = copy(cardsVal)
				for i in range(numcard):
					
					if (cop[i] == 6):
						cardsVal[i] = 9
					if (cop[i] == 9):
						cardsVal[i] = 6
					if (cop[i] == 5):
						cardsVal[i] = 2
					if (cop[i] == 2):
						cardsVal[i] = 5
		elif (rule == 10):
			if (straight(cardsVal)): 
				value += 5*numAs(cardsVal)
				numModif +=1
			
		elif (rule == 11):
			if (numModif > 8):
				value += numbits(value)
	
	#thirteen
	if (numTwos(cardsVal) >= 1):
		value*=2
		
		
inp = input().split()
#inp ="2D 5D JD KC AC".split()
#inp ="QC 8D JD 10S 9D".split()


cardRank = [inp[i][1] for i in range(5)]
cardVal = [inp[i][0] for i in range(5)]

for i in range(5):
	if cardVal[i] == '1':
		cardVal[i] = '10'
		cardRank[i] = inp[i][2]

value = sum(map(score, cardVal))


applyrules(cardVal, cardRank)

print(value)


'''
2D 5D JD KC AC
'''
	
		
	
		
		
		
		
		
		
		
		
		
